/*
 * @(#)Options.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2003 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

/**
 * A container for the writing options.
 *
 * @version 20030301
 * @author Jrg P. M. Haeger
 */
class Options {
	static boolean
		blankTOC,
		closeCD,
		DAO,
		DVDVideo,
		format,
		HFS,
		hideContents,
		joliet,
		linkedMultisession,
		MD5File = true,
		offline,
		overburn = false,
		rockRidge,
		simulate,
		verbose,
		verify,
		warnIfNotEmpty;
	static String bootImage, volumeID;
	static int
		copies,
		speed = 4;

	/**
	 * set the defaults
	 */
	public static void reset() {
		blankTOC = false;
		bootImage = null;
		closeCD = false;
		copies = 1;
		DAO = false;
		DVDVideo = false;
		format = false;
		HFS = false;
		hideContents = false;
		joliet = true;
		linkedMultisession = true;
		MD5File = true;
		offline = false;
		rockRidge = true;
		verbose = false;
		simulate = false;
		verify = false;
		volumeID = "";
		warnIfNotEmpty = false;
	}
}
