#
# spec file for webCDwriter
#

%define name webCDwriter
%define version 2.5.2
%define release 1

%if %(test -e /etc/mandrake-release && echo 1 || echo 0)
	%define release 1mdk
%endif

%if %(test -e /etc/SuSE-release && echo 1 || echo 0)
	%define release 1SuSE
%endif

%define CDWgroup cdwriter
%define CDWuser cdwriter

%define initDir /etc/init.d
%if %(test -d %{initDir} && echo 0 || echo 1)
	%define initDir /etc/rc.d/init.d
%endif
%if %(test -d %{initDir} && echo 0 || echo 1)
	%define initDir /etc/init.d
%endif

Summary: Network CD Writing
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
Source: %{name}-%{version}.tar.bz2
URL: http://JoergHaeger.de/webCDwriter/
Requires: cdrecord >= 1.10, mkisofs, mpg123, sox, vorbis-tools >= 1.0
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
webCDwriter can be used to make a single CD-writer available
to the users in your network. It consists of the server CDWserver
and the clients webCDcreator and rcdrecord.
CDWserver stores the files transmitted by the clients, reserves
the CD-writer and controls the CD-writer using cdrecord.
webCDcreator is a Java applet that runs within your browser
(Netscape, IE, ?), assists you when putting together a CD
and transmits the files.
Finally rcdrecord is a command line client that tries to offer
the functionality of cdrecord over the network (not complete yet).

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING CREDITS ChangeLog README *.html
%dir /etc/CDWserver/
%config(noreplace) %attr(-, %{CDWuser}, %{CDWgroup}) /etc/CDWserver/accounts
%config(noreplace) /etc/CDWserver/config
/etc/CDWserver/config.default
%dir /etc/CDWserver/export/
/etc/CDWserver/export/*
%config(noreplace) /etc/CDWserver/greeting
%config(noreplace) /etc/CDWserver/about.html
%config(noreplace) /etc/CDWserver/config.html
%config(noreplace) /etc/CDWserver/favicon.ico
%config(noreplace) /etc/CDWserver/footer
%config(noreplace) /etc/CDWserver/head*
%config(noreplace) /etc/CDWserver/help*.html
%config(noreplace) /etc/CDWserver/messages*
%dir /etc/CDWserver/rcdrecord/
/etc/CDWserver/rcdrecord/*
%config(noreplace) /etc/CDWserver/status*.html
%dir /etc/CDWserver/webCDcreator/
%config(noreplace) /etc/CDWserver/webCDcreator/*.html
%config(noreplace) /etc/CDWserver/webCDcreator/*.jnlp
%dir /etc/CDWserver/webCDcreator/4netscape/
/etc/CDWserver/webCDcreator/4netscape/*
%dir /etc/CDWserver/webCDcreator/4plugin/
/etc/CDWserver/webCDcreator/4plugin/*
%dir /etc/CDWserver/webCDcreator/4pluginRSA/
/etc/CDWserver/webCDcreator/4pluginRSA/*
%dir /etc/CDWserver/webCDcreator/doc/
/etc/CDWserver/webCDcreator/doc/*
%dir /etc/CDWserver/webCDcreator/help/
/etc/CDWserver/webCDcreator/help/*
%dir /etc/CDWserver/webCDcreator/i18n/
/etc/CDWserver/webCDcreator/i18n/*
%dir /etc/CDWserver/webCDcreator/icons/
/etc/CDWserver/webCDcreator/icons/*
%config(noreplace) /etc/CDWserver/waitForCD
/etc/CDWserver/*.png
%{initDir}/CDWserver
%dir %attr(-, %{CDWuser}, %{CDWgroup}) /home/CDWserver/
%attr(4710, root, %{CDWgroup}) /usr/bin/CDWverify
%attr(4710, root, %{CDWgroup}) /usr/bin/CDWverify-dummy
/usr/bin/cdrdao-dummy
/usr/bin/cdrecord-dummy
/usr/bin/dvd+rw-format-dummy
/usr/bin/files2cd
/usr/bin/growisofs-dummy
/usr/bin/rcdrecord
%attr(4710, root, %{CDWgroup}) /usr/bin/setScheduler
/usr/sbin/CDWserver
%dir %attr(-, %{CDWuser}, %{CDWgroup}) /var/log/CDWserver/
%dir %attr(-, %{CDWuser}, %{CDWgroup}) /var/spool/CDWserver/

%pre
# Add the "webCDwriter" user and group
/usr/sbin/groupadd %{CDWgroup} 2> /dev/null || :
/usr/sbin/useradd -c "webCDwriter user" \
	-g %{CDWgroup} %{CDWuser} 2> /dev/null || :

%post
if [ -x /sbin/chkconfig ]; then
	/sbin/chkconfig --add CDWserver
fi

if [ -x /sbin/insserv ]; then
	/sbin/insserv %{initDir}/CDWserver
fi

echo
echo -e "Now you can start CDWserver by"
echo -e "   %{initDir}/CDWserver start"
echo -e "Afterwards visit"
echo -e "   http://`hostname`:12411"
echo -e "to check the configuration."
echo

%preun
if [ $1 = 0 ]; then
	%{initDir}/CDWserver stop || :

	if [ -x /sbin/chkconfig ]; then
		/sbin/chkconfig --del CDWserver
	fi

	rm /var/spool/CDWserver/* -rf
fi

%postun
if [ $1 = 0 ]; then
	if [ -x /sbin/insserv ]; then
		/sbin/insserv %{initDir}
	fi
fi

if [ $1 -ge 1 ]; then
	%{initDir}/CDWserver condrestart
fi

%changelog
* Mon Jun 23 2003 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- list all directories explicitly in the files list

* Tue Mar 04 2003 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- do not change the owner and mode of cdrecord and mkisofs any more

* Tue Feb 25 2003 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- repair the owner and mode of cdrecord and mkisofs on uninstall

* Thu Oct 24 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- added dvd+rw-format and growisofs

* Mon Jun 10 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- try to detect mdk and SuSE releases
- replaced /etc/init.d by initDir

* Wed May 29 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- integration into webCDwriter-version.tar.bz2
- replaced /etc/rc.d/init.d/ by /etc/init.d/

* Wed Apr 24 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- web documents moved to /etc/CDWserver/webCDcreator/

* Wed Nov 14 2001 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- prepare start.jnlp for Java Web Start

* Tue Apr 17 2001 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- BuildRoot added
- putting the hostname to the applet start pages removed
- special /etc/init.d/CDWserver
